Subject: Re: [AVT] RTP translator or mixer for multi-party real-time text

From: Colin Perkins <[email-masked]>
Date: Tue, 18 Aug 2009 15:59:58 +0100

On 22 Jul 2009, at 05:55, Gunnar Hellstrom wrote:
> A new version of draft-hellstrom-text-conference is available at
> http://www.ietf.org/internet-drafts/draft-hellstrom-text-conference-01.txt
>
>
> It brings up the question if the RTP translator model or mixer model  
> shall be specified for multi-party real-time text.
>
> In its earlier version, only the translator model was mentioned,  
> using multiple SSRCs as source identification in one single RTP  
> session. That, in fact seemed not to require any additional  
> standardisation.
>
> However, two problems have been identified with the RTP translator  
> model:
>
> 1. Some RTP implementations do not implement support for multiple  
> SSRC:s in the same session. There is a risk that it will cause  
> failures.
>
> 2. When adding a new stream to the session, a new SSRC is started to  
> be used. There seems to be a habit in RTP to throw away some initial  
> packets until it is clearly evident that the new SSRC represents an  
> added source. This behaviour is very unfavourable for real-time  
> text, where information can be carried from the first packet.
>
> Because of these problems, the RTP mixer model has been briefly   
> introduced as an alternative, requireing an in-line source  
> identification in the text medium.
>
> It is of course not favourable to have two alternatives for one  
> task. Therefore I ask: were the comments on the translator model  
> valid, and can anything be done about them,

There are certainly poor-quality implementations that behaviour in the  
way you describe, but that's a limitation of the implementation,  
rather than the protocol. A draft giving guidance to implementers  
would be a good thing to have.

> or shall we move to only specifying the mixer model?

No, since there are some topologies where it's not suitable (an ASM  
multicast group, for example). Your draft could usefully go through  
each of the topologies describe in RFC 5117, and explain how real-time  
text can be used in each.

-- 
Colin Perkins
http://csperkins.org/